//---------------------------------------------------------------------------
// File: TMainForm.h, TDx_Play_Library, Example1 - DirectPlay
//
// Date: 12th July, 2002
// Author: Darren John Dwyer
// Copyright: (c) 2002 Darren John Dwyer, All Rights Reserved.
//
// Description:
// To use DirectPlay, you need to use a DirectPlay interface...
//
// This example shows how to create a DirectPlay interface,
// how to destroy a DirectPlay interface,
// and how to setup automatic error handling for the DirectPlay interface.
//
//---------------------------------------------------------------------------
#ifndef TMainFormH
#define TMainFormH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include "TDx_Play.h"
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
//---------------------------------------------------------------------------

#if (__BORLANDC__ < 0x0530) // BCB Version 1
class TMainForm : public TForm
{
#else // BCB Version 3 or 4
class PACKAGE TMainForm : public TForm
{
#endif

__published:
//---------------------------------------------------------------------------
// Anything that is to be displayed within the Object Inspector
//---------------------------------------------------------------------------

	TDx_Play *Dx_Play1;
	TPanel *Panel1;
	TBitBtn *CreateButton;
	TBitBtn *DestroyButton;
	TPanel *Panel2;
	TLabel *Label1;
	TLabel *Label2;
	TPanel *Panel5;
	TLabel *Label5;
	TPanel *Panel3;
	TLabel *Label3;
	TMemo *Memo2;
	TLabel *StatusLabel;
	TMemo *StatusMemo;
	void __fastcall CreateButtonClick(TObject *Sender);
	void __fastcall DestroyButtonClick(TObject *Sender);
	void __fastcall Dx_Play1Create(TObject *Sender);
	void __fastcall Dx_Play1Destroy(TObject *Sender);
	void __fastcall Dx_Play1Error(TObject *Sender, AnsiString Function,
	AnsiString Error, AnsiString ErrorMessage);
public:
//---------------------------------------------------------------------------
// Anything available to other classes and/or code
//---------------------------------------------------------------------------

    __fastcall TMainForm(TComponent* Owner);
    virtual __fastcall ~TMainForm();

protected:
//---------------------------------------------------------------------------
// Anything available only to classes descended from this class
//---------------------------------------------------------------------------

private:
//---------------------------------------------------------------------------
// Private data not accessible except from within this class
//---------------------------------------------------------------------------

};
//---------------------------------------------------------------------------
#if (__BORLANDC__ < 0x0530) // BCB Version 1
extern TMainForm *MainForm;
#else // BCB Version 3 or 4
extern PACKAGE TMainForm *MainForm;
#endif
//---------------------------------------------------------------------------
#endif
